• Liebe Community,
    Aufgrund des niedrigen Traffics im Forum haben wir uns dazu entschlossen, es nur noch im Lesemodus zu betreiben. Neue Kommentare sind also nicht mehr möglich, wohl aber das Lesen der bestehenden Foreninhalte als Archiv. Im Rahmen des Datenschutzes werden eure Accounts in den nächsten 90 Tagen gelöscht, wenn sie ausschließlich auf Areamobile.de genutzt wurden – ausgenommen ist die Nutzung auf unseren anderen Portalen (pcgameshardware.de, pcgames.de, buffed.de etc.), deren Foren natürlich weiterhin zur Verfügung stehen. Wir bitten um euer Verständnis und danken euch für die vielen tollen Beiträge.“

Ubuntu: brauche Hilfe$

Wolfgang Roths

Neues Mitglied
Hallo,

Wie die Überschrift schon verrät, brauche ich Hilfe bei Ubuntu.
Ich hoffe dass mir jemand behilflich sein kann.

Es geht darum:

Ich habe Ubuntu 10.4 drauf und habe mir einen passenden Treiber für meinen WLAN-Stick heruntergeladen. Die Sache ist, ich bekomme ihn nicht installiert.

Es handelt sich um diesen Treiber:

In der Readme steht folgendes:
1. Unpack the driver sources and go to the Module directory:
$ tar -xvzf rt73-cvs-daily.tar.gz
$ cd ./rt73-cvs-YYYYMMDDHH/Module

2. Compile the driver sources:
$ make

3. Install the driver (as root):
# make install

das mache ich auch. Geh in das Verzeichniss der Datei und öffne dort der darin befindlichen Ordner "Module".

Danach öffne ich ein Terminal und navigiere zum Ordner, bei mir ist die Datei unter "Downloads" abgespeichert. Müsste dann "cd Downloads" heißen richtig?

Nun gebe ich, wie in der Readme beschrieben "tar -xvzf rt73-cvs-daily.tar.gz" ein. Danach kommt aber nur diese Fehlermeldung:

tar (child): rt73-cvs-daily.tar.gz: Kann open nicht ausführen: Datei oder Verzeichnis nicht gefunden
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now
[email protected]:~$

Das ist mein Problem.
Ich bekomme den Treiber einfach nicht installiert.
Hilfreich ist es auch zu wissen das alle Programme die ich herunterlade sich nicht installieren lassen, da auch die o.g Fehlermeldung erscheint (sprich überall wo man tar ausführen muss).

Habe mir einfach Ubuntu heruntergeladen und alle Packete aktualisiert.
Habe also ein nagelneues und aktuelles Ubuntu drauf.
Daher weiß ich nicht warum ich nicht weiterkomme.

Hat jemand von euch auch einmal das Problem gehabt?
Wie komme ich weiter bzw. was muss ich machen damit ich die Sachen installieren kann?

Habe schon in diversen Foren nachgelesen konnte aber keine funktionierende Lösung finden.

Es wäre echt Klasse, wenn jemand mir weiterhelfen und mir eine Lösung sagen kann.

Mit freundlichen Grüßen,

Wolfgang Roths
 

Laborant

Aktives Mitglied
Ich sage es nur ungern...

Aber AM ist nicht Primär ein Linux/Ubuntu-Forum - hier geht es zumeist um Smartphones und Tablets.

Vielleicht wärst du in einem Speziellen Linux/Ubunto-Forum besser aufgehoben. Was Probleme mit dem .tar anbelangt kann ich leider nicht helfen, auch wenn mein Handy das selbe System nutzt.

Ich meinte allerdings, dass der cd-Befehl den gesamten Stamm bräuche... vielleicht hock ich derweil aber auch nur in der Steinzeit. Also vielleicht mal mit cd /home/xy/download versuchen (wobei xy sämtliche zwischenschritte der ordnerstruktur beinhaltet...)

Gruss

laborant
 

cookieman

Bekanntes Mitglied
@wolfgang

Das sieht mir aber gar nicht nach einem typischen Treiber/Programm Download aus. Das sollte wenn ja über den Hersteller des Wlansticks.

Das ist bestimmt nicht der richtige Weg.
 

WP7-Omnia7

Mitglied
Ist zwar schon paar Wochen älter, aber hier ist die Lösung:


Du willst also Aircrack benutzen und hast deinem verlinkten Treiber nach ein Wlan-Stick mit "RT3070" Chipsatz.
Dieser macht unter Aircrack/Kismet probleme bezüglich des Treibers, da du die Treiber anders als in Backtrack manuell installieren musst. Aus diesem Grund hast du versucht dein Stick mit dem hier verlinkten Treiber (angepasten Patch) zum laufen zu bekommen, was aber nicht funktionieren kann, weil dieser Treiber ab 10.04 probleme macht (war bei mir genau so). Du brauchst diesen aber garnicht.

Gehe genau nach dieser Anleitung vor:

Open the terminal to install the applications required to compile the drivers:

sudo apt-get install build-essential

Then download the package with the drivers. The command below Download driver dated 16/06/11 but you can always download the latest version (recommended) from Linux Wireless:

wget http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-2011-06-16.tar.bz2

Unzip the downloaded package and apply the patches:

tar -jxf compat-wireless-2011-06-16.tar.bz2
cd compat-wireless-2011-06-16
wget http://patches.aircrack-ng.org/mac80211.compat08082009.wl_frag+ack_v1.patch
patch -p1 < mac80211.compat08082009.wl_frag+ack_v1.patch
wget http://patches.aircrack-ng.org/channel-negative-one-maxim.patch
patch ./net/wireless/chan.c channel-negative-one-maxim.patch

Finally, compile and install the drivers:

make && sudo make install


Falls du mal vorbeischauen solltest und bis dato keine Lösung hattest und sie hiermit gelöst bekommst, gebe dann mal ein Feedback ob es geklappt hat.

Das war dein Hauptproblem und dürfte damit erledigt sein.
Was die Sache mit dem .tar angeht, würde ich an deiner Stelle mal Ubuntu aktualisieren. Entweder komplette Version oder über die Aktualisierungsverwaltung.
 
Zuletzt bearbeitet:

Mike Leitner

Mitglied
tar (child): rt73-cvs-daily.tar.gz: Kann open nicht ausführen: Datei oder Verzeichnis nicht gefunden
tar (child): Error is not recoverable: exiting now

Das ist außerdem falsch:
Die Datei heißt ja
tar (child): rt73-k2wrlz-3.0.3.tar.gz: Kann open nicht ausführen: Datei oder Verzeichnis nicht gefunden
tar (child): Error is not recoverable: exiting now

Anfängerfehler :D
 
Oben